seo:
  title: Understand how your teams adopt DevOps with DevOps reports
  description: Learn about analytics, DevOps reports, DevOps scores, and more.
  ogTitle: Understand how your teams adopt DevOps with DevOps reports
  ogDescription: Learn about analytics, DevOps reports, DevOps scores, and more.
  noIndex: false
  ogImage: images/blog/hero-images/john-schnobrich-FlPc9_VocJ4-unsplash.jpg
  ogUrl: https://about.gitlab.com/blog/devops-adoption
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/devops-adoption
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "Understand how your teams adopt DevOps with DevOps reports",
            "author": [{"@type":"Person","name":"Orit Golowinski"}],
            "datePublished": "2021-12-15",
          }

content:
  title: Understand how your teams adopt DevOps with DevOps reports
  description: Learn about analytics, DevOps reports, DevOps scores, and more.
  authors:
    - Orit Golowinski
  heroImage: images/blog/hero-images/john-schnobrich-FlPc9_VocJ4-unsplash.jpg
  date: '2021-12-15'
  body: >


    GitLab has an extraordinary range of features for a single application,
    providing an [entire DevOps platform](/stages-devops-lifecycle/) from
    [portfolio planning](/stages-devops-lifecycle/plan/) all the way through to
    [monitoring](/stages-devops-lifecycle/monitor/) and [service
    desk](/stages-devops-lifecycle/service-desk/). As such, GitLab is uniquely
    positioned to deliver a complete picture of your organization's DevOps
    journey and your return on investment in automation and DevOps practices.


    Some of the most interesting and difficult questions that organizations ask
    themselves are: 


    * What do we gain from different development practices used by our teams? 

    * What makes one team more efficient than another? 

    * What practices have been successful in one team that we can introduce to
    others?


    ## Analytics 


    GitLab has several metrics to give you insight into the development
    lifecycle:


    * [Application
    Security](https://docs.gitlab.com/ee/user/application_security/security_dashboard/#project-security-dashboard)
    -  provides a comprehensive set of features for viewing and managing
    vulnerabilities.

    * [CI/CD](https://docs.gitlab.com/ee/user/analytics/ci_cd_analytics.html) - 
    tracks the history of your pipeline successes and failures, as well as how
    long each pipeline ran. 

    * [Code
    Review](https://docs.gitlab.com/ee/user/analytics/code_review_analytics.html)
    - displays open merge requests and their review time.

    * [Insights](https://docs.gitlab.com/ee/user/project/insights/index.html)-
    allows you to configure custom analytics that will be displayed. 

    * [Issue](https://docs.gitlab.com/ee/user/group/issues_analytics/index.html)
    - illustrates the number of issues created each month.

    * [Merge
    Request](https://docs.gitlab.com/ee/user/analytics/merge_request_analytics.html)
    - displays information that will help you evaluate the efficiency and
    productivity of your merge request process.

    *
    [Repository](https://docs.gitlab.com/ee/user/analytics/repository_analytics.html)
    - displays information such as commit statistics, code coverage, and
    programming languages used in the repository. 

    * [Value Stream
    Analytics](https://docs.gitlab.com/ee/user/analytics/value_stream_analytics.html)
    - measures the time spent to go from an idea to production.


    Some analytics are only available for instance-level (self-managed), group
    level, or project level. Read
    [more](https://docs.gitlab.com/ee/user/analytics/) about analytics.


    These analytics are a great way to see contributions from different projects
    and groups. On their own, however, they don't give insights into which
    processes your teams are using. For that, we offer DevOps Reports.


    ## DevOps adoption reports


    DevOps Adoption is a DevOps Report located in group-level analytics. It
    shows you data for how teams in your organization use the most essential
    GitLab features.


    You can use DevOps Adoption to:


    - Identify specific subgroups that are lagging in their adoption of GitLab
    features, so you can guide them on their DevOps journey.

    - Find subgroups that have successfully adopted certain features, and could
    provide guidance to other subgroups on how to use those features.

    - Verify if you are getting the return on investment that you expected from
    GitLab.


    ![DevOps
    Adoption](https://about.gitlab.com/images/blogimages/devops_reports.png){:
    .shadow}


    In this example, we can see some interesting data on how a team uses
    features in development, security, and operations categories:


    * **Development**
      * Approvals: At least one merge request approval on a merge request.
      * Code owners: At least 1 defined code owner that owns a specific file or repository in the group.
      * Issues: At least 1 issue opened in this group.
      * Merge requests: At least 1 merge request opened in this group.
    * **Security** 
      * DAST:  At least 1 DAST scan run in a pipeline in the group.
      * Dependency Scanning: At least 1 dependency scan ran in a pipeline in the group.
      * Fuzz Testing: At least 1 fuzz testing scan ran in a pipeline in the group.
      * SAST: At least 1 SAST scan ran in a pipeline in the group.
    * **Operations**
      * Deployments: At least 1 deployment. 
      * Pipelines: At least 1 pipeline ran successfully.
      * Runners: At least 1 runner configured for the project or group.

    In the future we plan to add even more feature categories to DevOps Reports,
    such as:

    *
    [Environments](https://docs.gitlab.com/ee/ci/environments/#environments-and-deployments)

    * [Pages](https://docs.gitlab.com/ee/user/project/pages/)

    * [Compliance
    Pipelines](https://docs.gitlab.com/ee/user/project/settings/index.html#compliance-pipeline-configuration)

    *
    [Incidents](https://docs.gitlab.com/ee/operations/incident_management/incidents.html)

    * [Review Apps](https://docs.gitlab.com/ee/ci/review_apps/#review-apps)


    ...and much more. You can follow our future plans in the following
    [epic](https://gitlab.com/groups/gitlab-org/-/epics/5019).


    _DevOps Reports are available for the Ultimate tier for self-managed and
    SaaS users. To find DevOps Reports, go to your group and in the left
    sidebar, select Analytics > DevOps adoption_


    ## DevOps Score


    You can use the DevOps score to compare your DevOps status to other
    organizations.


    The DevOps Score tab shows usage of major GitLab features on your instance
    over the last 30 days. GitLab calculates the averages feature usage based on
    the number of billable users in that time period. You can also see the
    Leader usage score, calculated from top-performing instances based on
    Service Ping data that GitLab collects. GitLab compares your score to the
    lead score of each feature and shows it as a percentage underneath the
    feature. Your overall DevOps Score is an average of your feature scores.


    To analyze your DevOps Score, GitLab aggregates Service Ping (sometimes
    referred to as Usage Ping) data on GitLab servers for analysis. Your usage
    information is not sent to any other GitLab instances. If you have just
    started using GitLab, it may take a few weeks for GitLab to collect enough
    data to calculate your DevOps Score.


    ![DevOps
    Score](https://about.gitlab.com/images/blogimages/dev_ops_score_v12_6.png){:
    .shadow}


    _DevOps score is available at the admin panel for all tiers under Analytics
    > DevOps Reports._


    To see the DevOps score, you must activate your GitLab instance’s [Service
    Ping](https://docs.gitlab.com/ee/administration/settings/usage_statistics.html#service-ping).
    This is because DevOps Score is a comparative tool, so your score data must
    first be centrally processed by GitLab, Inc.


    There are several benefits of enabling Service Ping, such as DevOps Score
    and cohorts:


    <figure class="video_container">
      <iframe src="https://www.youtube.com/embed/ZhLrhZlb_zI" frameborder="0" allowfullscreen="true"> </iframe>
    </figure>


    ## Cohorts


    Cohorts shows your teams' GitLab activities over time, and is a useful tool
    for administrators to view user retention and manage seats in their GitLab
    instance. 


    ![Cohorts](https://about.gitlab.com/images/blogimages/cohorts_v13_9_a.png){:
    .shadow}


    Users are considered active if they have performed at least one of the
    following activities:


    * Sign in to GitLab.

    * Perform a Git activity such as push or pull.

    * Visit pages related to dashboards, projects, issues, or merge requests.

    * Use the API.

    * Use the GraphQL API.


    Cover image credit:


    Cover image by [John Schnobrich](https://unsplash.com/photos/FlPc9_VocJ4) on
    [Unsplash](https://unsplash.com)

    {: .note}
  category: DevSecOps
  tags:
    - DevOps
    - features
    - tutorial
config:
  slug: devops-adoption
  featured: false
  template: BlogPost
